package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.TypesOfFeeDao;
import io.renren.modules.admin.entity.TypesOfFeeEntity;
import io.renren.modules.admin.service.TypesOfFeeService;


@Service("typesOfFeeService")
public class TypesOfFeeServiceImpl extends ServiceImpl<TypesOfFeeDao, TypesOfFeeEntity> implements TypesOfFeeService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<TypesOfFeeEntity> page = this.page(
                new Query<TypesOfFeeEntity>().getPage(params),
                new QueryWrapper<TypesOfFeeEntity>()
        );

        return new PageUtils(page);
    }

}